summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas K. Hüttel <dilfridge@gentoo.org>2021-09-20 20:13:55 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2021-09-20 20:13:55 +0200
commitef84f36cb02d0dedb5e393b945c0213e099ab8ba (patch)
tree53f27ceddabb7016778294a3af88bdb9842af343 /sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild
parentdev-db/mysql-workbench: Remove old (diff)
downloadgentoo-ef84f36cb02d0dedb5e393b945c0213e099ab8ba.tar.gz
gentoo-ef84f36cb02d0dedb5e393b945c0213e099ab8ba.tar.bz2
gentoo-ef84f36cb02d0dedb5e393b945c0213e099ab8ba.zip
Revert "sys-devel/llvm-roc: Remove old"
This reverts commit 362024ac2c699a8f0da19fb1777bdd30fd3b99e2. Signed-off-by: Andreas K. Hüttel <dilfridge@gentoo.org>
Diffstat (limited to 'sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild')
-rw-r--r--sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild63
1 files changed, 63 insertions, 0 deletions
diff --git a/sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild b/sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild
new file mode 100644
index 00000000000..9e5adf08c00
--- /dev/null
+++ b/sys-devel/llvm-roc/llvm-roc-3.7.0-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake
+
+DESCRIPTION="Radeon Open Compute llvm,lld,clang"
+HOMEPAGE="https://github.com/RadeonOpenCompute/ROCm/"
+SRC_URI="https://github.com/RadeonOpenCompute/llvm-project/archive/rocm-${PV}.tar.gz -> llvm-rocm-ocl-${PV}.tar.gz"
+
+LICENSE="UoI-NCSA rc BSD public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug"
+
+RDEPEND="virtual/cblas
+ dev-libs/libxml2
+ sys-libs/zlib
+ sys-libs/ncurses:="
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/llvm-project-rocm-${PV}/llvm"
+
+PATCHES=(
+ "${FILESDIR}/${P}-current_pos.patch"
+)
+
+CMAKE_BUILD_TYPE=RelWithDebInfo
+
+src_prepare() {
+ cd "${WORKDIR}/llvm-project-rocm-${PV}" || die
+ eapply "${FILESDIR}/${PN}-3.0.0-add_libraries.patch"
+ eapply_user
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr/lib/llvm/roc"
+ -DLLVM_ENABLE_PROJECTS="clang;lld"
+ -DLLVM_TARGETS_TO_BUILD="AMDGPU;X86"
+ -DLLVM_BUILD_DOCS=NO
+ -DLLVM_ENABLE_OCAMLDOC=OFF
+ -DLLVM_ENABLE_SPHINX=NO
+ -DLLVM_ENABLE_DOXYGEN=OFF
+ -DLLVM_INSTALL_UTILS=ON
+ -DLLVM_VERSION_SUFFIX=roc
+ -DOCAMLFIND=NO
+ )
+
+ use debug || local -x CPPFLAGS="${CPPFLAGS} -DNDEBUG"
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ cat > "99${PN}" <<-EOF
+ LDPATH="${EROOT}/usr/lib/llvm/roc/lib"
+ EOF
+ doenvd "99${PN}"
+}